List report schedules
GET /site_reports/schedules
Description
Reports can be scheduled to run monthly, weekly, or every two weeks. This endpoint returns all active report schedules for a given site, allowing you to manage and monitor when reports are generated automatically.
For monthly scheduling, set the Unit to MONTHLY and set the Frequency Value to the day of the month (1-31) when you want the report to run. For example, Unit = MONTHLY and Frequency Value = 15 will run the report on the 15th of every month. If you set a report to run on the 29th, 30th, or 31st and that date doesn’t exist in a given month, the report will run on the last day of that month. For instance, designating the 31st will result in the report running on February 28th (or 29th in leap years).
For weekly or bi-weekly scheduling, set the Unit to DAYS and then set the Frequency Value to 7 for weekly reports or 14 for reports to run every two weeks. The day of the week is determined by the next_scheduled_date value. For example, if the next_scheduled_date is a Tuesday and the Frequency Value is 7, then the report will run each week on Tuesday.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Filter schedules by site ID
Responses
Section titled “ Responses ”OK
object
List of configured report schedules
object
Title of the scheduled report
Example
Weekly Site ReportNext date when the report will be automatically generated
Example
2026-06-18T00:00:00ZReport generation frequency configuration
object
Frequency value. For DAYS, value is 7 or 14. For MONTHLY, value is the day of the month (1-31).
Example
7Frequency unit. DAYS indicates a Weekly or Bi-Weekly schedule. MONTHLY indicates a monthly schedule.
Example
DAYSPeople who will receive the scheduled reports
object
Name of the recipient
Example
Jane SmithEmail address of the recipient
Example
user@example.comReport sections included in the schedule
object
Section identifier
Example
coverUnique identifier for the schedule
Example
ed0f66dd-1a0a-4e87-919d-945b08bc230dUUID of the report template used for this schedule
Example
9fe01285-87cc-405b-9f2f-02cc1316bb63Branding configuration applied to the report
object
Unique identifier for the branding configuration
Example
1ed3eaa4-b1d6-4b9f-96e5-9054c3cdaafdCompany name displayed on the report
Example
My AgencyHex value of the color used on the report coversheet
Example
#FF0000URL of the company logo image
Example
https://storage.googleapis.com/sites_reports_template_preview_and_logo_images_bucket/logo.pngURL of the template preview image
Example
https://storage.googleapis.com/sites_reports_template_preview_and_logo_images_bucket/preview.pngBad Request
object
A message regarding the error that occurred on the server
Example
Invalid Site: Name cannot be empty.(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
Example
Site(Optional) The specific field associated with the error
Example
name(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
Example
invalid_value(Optional) A machine code relating to the error that occurred with the field and resource
Example
too_long(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
Name is too long (maximum is 40 characters)Authentication Error
object
A message regarding the error that occurred on the server
Example
Bad Credentials(Optional) A URL where documentation regarding this specific error can be found
Not authorized
object
A message regarding the error that occurred on the server
Example
You don't have permission to perform that action(Optional) A URL where documentation regarding this specific error can be found
Not found
object
A message regarding the error that occurred on the server
Example
Not Found(Optional) A URL where documentation regarding this specific error can be found
Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
An unexpected error occurred, please try again in a few minutesAn invalid response was received from an upstream server
Service unavailable